package com.emoon.common.httpclient.util;

import cn.hutool.core.lang.UUID;
import com.emoon.common.httpclient.domain.AdminLoginRequest;

/**
 * @author destiny
 * @description:
 * @date 2025/10/27 10:50
 */
public class AdminLoginRequestFactory {

    public static AdminLoginRequest createSuperAdmin() {
        return AdminLoginRequest.builder()
            .tenantId("000000")
            .username("admin")
            .password("admin123")
            .uuid(UUID.fastUUID().toString())
            .clientId("e5cd7e4891bf95d1d19206ce24a7b32e")
            .grantType("password")
            .build();
    }

}
